function f = P11_FixP_ChgX(x, GrpN, OthLP, SA0, SA,SG,SB,...
     TA0,TA,TG,TB,SW,TW,TLP,TLX, eps)
% Fix prices of other products, but allow quinolone expenditure to change

%%%%Case One: LnX Variant, One group at a time %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
if GrpN == 4
    LnP = [OthLP(1:3); x; OthLP(4:6)];
elseif GrpN == 6
    LnP = [OthLP(1:5); x; OthLP(6)];    
elseif GrpN == 456
    LnP = [OthLP(1:3); x; OthLP(4)];
elseif GrpN == 467
    LnP = [OthLP(1:3); x(1); OthLP(4); x(2:3)];
elseif GrpN == 4567
    LnP = [OthLP(1:3); x];
end;

SPI =  SA0 + SA' * LnP + 0.5 * LnP' * SG * LnP;

%%%%%%% Find out Ln Expenditure on Quinolone
TLP(8) = SPI;

TPI = TA0 + TA'*TLP + .5*TLP'*TG*TLP;
TW = TA + TG*TLP + TB*(TLX-TPI);
SLX = TLX + log(TW(8));
SW = SA + SG * LnP + SB * (SLX-SPI);
SExp = SW*exp(SLX);     %Product group's expenditure


%%%% Solve for the virtual prices that set the product's expenditure
%%%% to zero (allowing Quinolone's expenditure to change)
if GrpN <=7 
    f = SExp(GrpN) - eps;
elseif GrpN == 456
    f = SExp(4:6) - eps;
elseif GrpN == 467
    f = SExp([4,6,7]) - eps;
elseif GrpN == 4567
    f = SExp([4:7]) - eps;
end;
