function f = P11_ChgP_ChgX(x, GrpN, LPFN, SA0, SA,SG,SB,...
     TA0,TA,TG,TB, SW, TW, TLP, TLX, MC, eps)
% Allow both prices and expenditure to change, except the price 
% of foreign Norflo, whose demand estimates are not reliable due
% to its minuscule share

LnP = [x(1); LPFN; x(2:6)];
SPI =  SA0 + SA' * LnP + 0.5 * LnP' * SG * LnP;

%%%%%%% Find out Ln Expenditure & Revshr of Quinolone
TLP(8) = SPI;

TPI = TA0 + TA'*TLP + .5*TLP'*TG*TLP;
TW = TA + TG*TLP + TB*(TLX - TPI);
SLX = TLX + log(TW(8));

SLXP = SLX - SPI;
SW = SA + SG * LnP + SB * SLXP;
SExp = SW * exp(SLX);

%%%%%%% Define F.O.C. using MC=MR %%%%%%%%%%%%%
dLXLP = TG(8,8)/TW(8);
tmp = SA + SG * LnP;
SEtaU = dLXLP * tmp + (diag(SG) + (dLXLP-1)*SB.*tmp)./SW -1;
FOC = MC - exp(LnP) .*(1+1./SEtaU);

%%% Find out the virtual prices that lead to 0 product expenditure for the 
%%% groups that are shut down, and the profit-maximizing prices for the 
%%% remaining groups
    if GrpN == 4
        f = [FOC([1,3]);SExp(GrpN);FOC(5:7)] - eps;
    elseif GrpN == 6
        f = [FOC([1,3:5]);SExp(GrpN);FOC(7)] - eps;
    elseif GrpN == 456
        f = [FOC([1,3]);SExp(4:6);FOC(7)] - eps;
    elseif GrpN == 467
        f = [FOC([1,3]);SExp(4);FOC(5);SExp(6:7)] - eps;
    elseif GrpN == 4567
        f = [FOC([1,3]);SExp(4:7)] - eps;
    end;
