function [out1,out3,out4,out5]=P16_TableCV_PiChg(Flag,WelfTop,SW,SLX,SLP,MC,C_SLP,C_SQ)
%%% Calculate consumer welfare loss, changes to domestic/foreign producers'
%%% profit and total welfare loss

HH_N = 50032442;
HH_E = 49656874;
HH_W = 44132840;
HH_S = 48059477;
HH = [HH_N;HH_E;HH_W;HH_S];

BST=size(SLX,2);
ok=min(Flag);

%%% Consumer Welfare Loss
CV = zeros(5,3); CVSd=zeros(5,3);
for i=1:15
    welf = WelfTop(i:15:end,:);
    hh = repmat(HH,1,BST);
    tmpCV(i,:) = sum(welf .* hh) * 12 / 1000000000;
    tmp = tmpCV(i,ok==1);
    CV(i) = tmpCV(i,1);
    CVSd(i) = std(tmp);
end;

out1 = zeros(10,3);
out1(1:2:10,:)=CV;
out1(2:2:10,:)=CVSd;

%%% Profit change for domestic/foreign producers
x0 = kron(exp(SLX),ones(7,1));
sq0 = x0 .* SW ./exp(SLP);
hh = kron(HH,ones(7,BST));
tmp = (exp(SLP)-MC).*sq0 .*hh * 12/1000000000;
profit0 = tmp(1:7,:)+tmp(8:14,:)+tmp(15:21,:)+tmp(22:28,:);
profit0(2,:) = 0;
f_pft0 = sum(profit0(1:3,:));
d_pft0 = sum(profit0(4:7,:));

for i =1:4
    tmp_mc((i-1)*105+1:i*105,:)=repmat(MC((i-1)*7+1:i*7,:),15,1);
end;
hh = kron(HH,ones(105,BST));
tmp = (exp(C_SLP)-tmp_mc).*C_SQ.*hh*12/1000000000;
profit = tmp(1:105,:)+tmp(106:210,:)+tmp(211:315,:)+tmp(316:420,:);
profit(2:7:end,:)=0;

ChgD = zeros(5,3); ChgDSd = zeros(5,3);
ChgF = zeros(5,3); ChgFSd = zeros(5,3);
for i =1:15
    tmpD(i,:) = d_pft0 - sum(profit((i-1)*7+4:i*7,:));
    tmp = tmpD(i,ok==1);
    ChgD(i) = tmp(1);
    ChgDSd(i) = std(tmp);
    
    tmp = sum(profit((i-1)*7+1:(i-1)*7+3,:))-f_pft0;
    tmp = tmp(:,ok==1);
    ChgF(i) = tmp(1);
    ChgFSd(i) = std(tmp);
end;
out3=zeros(10,3); out4 = zeros(10,3);
out3(1:2:end,:)=ChgD; out4(1:2:end,:)=ChgF;
out3(2:2:end,:)=ChgDSd; out4(2:2:end,:)=ChgFSd;

%%% Total welfare loss
TotWelf = zeros(5,3); TotWelfSd=zeros(5,3);
tmp = tmpCV + tmpD;
TotWelf(:)=tmp(:,1);
for i=1:15
    tmpw = tmp(i,ok==1);
    TotWelfSd(i)=std(tmpw);
end;
out5 = zeros(10,3);
out5(1:2:end,:)=TotWelf;
out5(2:2:end,:)=TotWelfSd;
