function [Aeq, beq] = P2_UpDummyCon(R, S, Win)
% Define sum-up, homogeneity, and symmetry constraints for the upper stage
% estimation

% R=1 if using regional dummies, S=1 if using Seasonaly dummies
% Win=1 if using Winter dummy
if R == 1 & S == 0 & Win ==0
    Aeq = zeros(41,104);
elseif R==0 & S==1 & Win == 0
    Aeq = zeros(40,96);
elseif R==0 & S==0 & Win == 1
    Aeq = zeros(39,88);
elseif R==1 & S==1 & Win==0
    Aeq = zeros(43,120);
elseif R==1 & S==0 & Win==1
    Aeq = zeros(42,112);
elseif R==0 & S==0 & Win==0
    Aeq = zeros(38,80);
end;

    % Add up constraint part one: sum_i(alpha_i) = 1
    for i = 1: 8;
        Aeq(1,1+(i-1)*10) = 1;
    end;

    % Add up constraints part two: sum_i(gamma_ij)=0 (it is the same as
    %   Homogeneity constraint sum_j(gamma_ij)=0 due to symmetry) 
    for i = 1:8;
        Aeq(1+i,2+(i-1)*10:9+(i-1)*10) = ones(1,8);
    end;

    % Symmetry: gamma_{i,j} = gamma_{j,i}
    for i = 1:7;                        % gamma_{1,i) = gamma(i,1)
        Aeq(9+i,2+i) = 1; 
        Aeq(9+i,i*10+2) = -1;
    end;

    for i = 1:6;                        % gamma_{2,i) = gamma{i,2)
        Aeq(16+i, 13+i) = 1;
        Aeq(16+i, i*10+13) = -1;
    end;

    for i = 1:5;
        Aeq(22+i, 24+i) = 1;
        Aeq(22+i, i*10+24) = -1;
    end;

    for i = 1:4;
        Aeq(27+i, 35+i) = 1;
        Aeq(27+i, i*10+35) = -1;
    end;    

    for i = 1:3;
        Aeq(31+i, 46+i) = 1;
        Aeq(31+i, i*10+46) = -1;
    end;

    for i = 1:2;
        Aeq(34+i, 57+i) = 1;
        Aeq(34+i, i*10+57) = -1;
    end;    

    Aeq(37, 69) = 1; 
    Aeq(37, 78) = -1;

    % Add up constraint part two: sum_i(beta_i) = 0
    for i = 1:8;
        Aeq(38, i*10) = 1;
    end;

if R == 1 & S == 0 & Win ==0
    Aeq(39, 81:3:104) = 1;
    Aeq(40, 82:3:104) = 1;
    Aeq(41, 83:3:104) = 1;
elseif R==0 & S==1 & Win == 0
    Aeq(39, 81:2:96) = 1;
    Aeq(40, 82:2:96) = 1;
elseif R==0 & S==0 & Win == 1
    Aeq(39, 81:88) = 1;
elseif R==1&S==1&Win==0
    Aeq(39, 81:3:104) = 1;
    Aeq(40, 82:3:104) = 1;
    Aeq(41, 83:3:104) = 1;
    Aeq(42, 105:2:120) =1;
    Aeq(43, 106:2:120) =1;
elseif R==1&S==0&Win==1
    Aeq(39, 81:3:104) = 1;
    Aeq(40, 82:3:104) = 1;
    Aeq(41, 83:3:104) = 1;
    Aeq(42, 105:112) =1;
end;

% Add-up constrant part three: for dummies
if R==1 & S==0 & Win ==0
    beq = zeros(41,1);
    beq(1,1) = 1;
elseif R==0 & S==1 & Win==0
    beq = zeros(40,1);
    beq(1,1) = 1;
elseif R==0 & S==0 & Win==1
    beq = zeros(39,1);
    beq(1,1) = 1;
elseif R==1 & S==1 & Win==0
    beq = zeros(43,1);
    beq(1,1) = 1;
elseif R==1 & S==0 & Win==1
    beq = zeros(42,1);
    beq(1,1) = 1;
elseif R==0 & S==0 & Win ==0
    beq = zeros(38,1);
    beq(1,1) = 1;
end;
