function Gamma = P8_Gamma(x)
% x has four columns: gamma_p, gamma_m, gamma_f, gamma_d
% Define the gamma matrix

a = 3;
b = 7;
d = 4;

GammaP = x(:,1);
GammaM = x(1:3,2);
GammaF = x(1,3);
GammaFD = x(1,4);
GammaD = x(4,4);

%Create the Gamma Matrix
MgammaP = zeros(b,b);
MgammaF = zeros(b,b);
MgammaFD = zeros(b,b);
MgammaD = zeros(b,b);

MgammaP = diag(GammaP);
tmp1 = [ones(a)-eye(a)]*GammaF;
MgammaF(1:a,1:a) = tmp1;

tmp2 = [ones(a)-eye(a)]*GammaFD + diag(GammaM);
tmp3 = ones(a,1)*GammaFD;
tmp4 = [tmp2, tmp3];
MgammaFD(1:a,a+1:b) = tmp4;
MgammaFD(a+1:b,1:a) = tmp4';

tmp5 = [ones(d)-eye(d)]*GammaD;
MgammaD(a+1:b,a+1:b) = tmp5;

Gamma = MgammaP + MgammaF + MgammaFD + MgammaD;
